# Installation

/// admonition | This project is in active development
    type: danger
There has not been an official release of PyZipline on PyPi yet, meaning these installation docs don't work.
///

/// admonition | Using the correct version
    type: warning
    attrs: {class: annotate}
**Please make sure to install the matching version of PyZipline for your Zipline version!**  
This documentation assumes you are using Zipline `3.7.7`.  
If you are not, please change all occurrances of `3.7.7` to your Zipline version.  
If you're on [Zipline's `trunk` version](https://github.com/diced/zipline/tree/trunk), use `*` to get the latest versions of PyZipline. (1)
///

1. I will not always update to `trunk` versions, I may occassionally do so, but for the most part, expect breaking changes to recieve fixes when a new Zipline version is released.

## pip

You can use pip to install PyZipline.  
The command to use differs slightly depending on what OS/Distro you use.

On Windows:

``` prolog title="Command Prompt"
py -m pip install -U pyzipline=3.7.7
```

On macOS and Linux:

``` prolog title="Bash"
python3 -m pip install -U pyzipline=3.7.7
```

## Poetry

You can also use [Poetry](https://python-poetry.org/) to store your dependencies. Add PyZipline to your `pyproject.toml` file manually.

``` toml title="pyproject.toml"
[tool.poetry.dependencies]
pyzipline = "3.7.7"
```

Or, you can use this command:

``` prolog title="Command Prompt / Shell"
poetry add pyzipline=3.7.7
```
